/**
* 2007-2020 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2020 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*
* Don't forget to prefix your containers with your own identifier
* to avoid any conflicts with others containers.
*/

$(document).ready(function() {

	setInterval(function() { checkForDoubleModalBackdrop(); }, 1000);

	function checkForDoubleModalBackdrop() {
		if ($(".modal-backdrop").length > 1) {
			$(".modal-backdrop").first().remove();
		}
	}

	if ($("#easycredit_tos").length > 0) {
		setInterval(function() { checkForEasyCredit(); }, 1000);
		setInterval(function() { checkIfEasyCreditIsSelected(); }, 1000);
	}
		
	var haveFoundEasyCredit = false;
	function checkForEasyCredit() {
		if (!haveFoundEasyCredit) {
			if ($("#HOOK_ADVANCED_PAYMENT span.payment_option_selected").length > 0) {
				$("#HOOK_ADVANCED_PAYMENT span.payment_option_selected").each(function() {
					if ($(this).parent().find(".payment_option_cta").length > 0) {
						$(this).parent().find(".payment_option_cta").children().each(
							function() {
								if ($(this).hasClass("easycredit_hint")) {
									haveFoundEasyCredit = true;
								}
							}
						);
					}
				});
			}
		}
	}
	
	var easyCreditIsSelected = false;
	function checkIfEasyCreditIsSelected() {
		if ($(".payment_module.payment_selected").find(".easycredit_hint").length > 0) {
			easyCreditIsSelected = true;
			if ($("#easycredit_tos").css('display') == 'none') {
				$("#easycredit_tos").fadeIn('fast');
				//$("html, body").animate({ scrollTop: $('#easycredit_tos').offset().top }, 1000);
			} else {
				$("#easycredit_tos").show();
			}
		} else {
			easyCreditIsSelected = false;
			$("#easycredit_tos").hide();			
		}		
	}
		
	$("#HOOK_ADVANCED_PAYMENT .payment_option_form").on('submit', function() {
		if (easyCreditIsSelected) {
			var form_ok = true;
			if (!$("#easycredit_tos_checkbox").prop("checked")) {
				form_ok = false;
			}			
			if (form_ok) {			
				return true;
			} else {
				alert($("#easycredit_error").html());
			}
			return false;
		}
	});
	
	$("#easycredit_payment_selector").on('click', function() {
		if (!$("#easycredit_tos_checkbox").prop("checked")) {
			alert($("#easycredit_error").html());
			return false;
		} else {
			return true;
		}
	});
	
	/* PS 1.7.0.x */
	if ($("#checkout-payment-step").length > 0) {
		setInterval(function() { checkForEasyCreditPS17(); }, 500);
		setInterval(function() { checkIfEasyCreditIsSelectedPS17(); }, 500);
	}	
	
	var haveFoundEasyCredit17 = false;
	function checkForEasyCreditPS17() {
		if (!haveFoundEasyCredit17) {
			if ($("#checkout-payment-step input[type=radio][name=payment-option]").length > 0) {
				$("#checkout-payment-step input[type=radio][name=payment-option]").each(function() {
					if ($(this).parent().parent().parent().find(".payment-option").length > 0) {
						$(this).parent().parent().parent().find(".payment-option").children().each(
							function() {
								if ($(this).find('span')) {
									if ($(this).html().indexOf('easyCredit') > -1) {
										haveFoundEasyCredit17 = true;
									}
								}
							}
						);
					}
				});
			}
		}
	}

	$("#payment-confirmation > .ps-shown-by-js > button").click(function(e) {
		var easyCreditPaymentMethodSelected = $(".payment-options").find("input[data-module-name='easycreditratenkauf']").is(":checked");
		if (easyCreditPaymentMethodSelected) {
			if (!$("#easycredit_tos_checkbox").prop("checked")) {
				alert($("#easycredit_error").html());
				return false;
			} else {
				return true;
			}
		}

	});
	
	var easyCreditIsSelected17 = false;
	var easyCreditLastState = 0;
	function checkIfEasyCreditIsSelectedPS17() {
		haveFoundEasyCreditSelected = false;
		if ($("#checkout-payment-step input[type=radio][name=payment-option]:checked").length > 0) {
			po = $("#checkout-payment-step input[type=radio][name=payment-option]:checked").parent().parent().parent().find(".payment-option");
			po.children().each(
				function() {
					if ($(this).find('span')) {
						if ($(this).html().indexOf('easyCredit') > -1) {
							easyCreditIsSelected17 = true;
                            haveFoundEasyCreditSelected = true;
						}
					}
				}
			);
			if (!haveFoundEasyCreditSelected) {
                easyCreditIsSelected17 = false;
			}
		} else {
			easyCreditIsSelected17 = false;		
		}

		if (easyCreditIsSelected17) {
			if (!$("#easycredit_tos_checkbox").prop("checked")) {
                if (easyCreditLastState != 1) {
                    $("#payment-confirmation button[type=submit]").attr("disabled", "disabled");
                    easyCreditLastState = 1;
                }
			} else {
                if ($("input[name='conditions_to_approve[terms-and-conditions]']").prop("checked")) {
                    if (easyCreditLastState != 2) {
                        $("input[name='conditions_to_approve[terms-and-conditions]']").trigger('change');
                        easyCreditLastState = 2;
                    }
                }
			}
		} else {
			if (easyCreditLastState != 3) {
                //$("#payment-confirmation button[type=submit]").removeAttr("disabled", "disabled");
                $("input[name='conditions_to_approve[terms-and-conditions]']").trigger('change');
                easyCreditLastState = 3;
            }
		}
	}
	
});