{*
* 2007-2020 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    patworx multimedia GmbH <service@patworx.de>
*  @copyright 2007-2020 patworx multimedia GmbH
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*}

<div class="row">
	<div class="col-lg-12">
		<div id="easycredit_payments_panel">

			{if isset($transactions) && $transactions}

				<div class="panel {if $isHigher176}card{/if}">

					<div class="panel-heading {if $isHigher176}card-header{/if}">
						{l s='easyCredit - logged Transactions' mod='easycreditratenkauf'} - ID: {$transactions.0.easycredit_vorgang|escape:'html':'UTF-8'}
					</div>

          <div class="{if $isHigher176}card-body{/if}">
            <div class="table-responsive">
              <table class="table">
                <thead>
                <tr>
                  <th>
                    <span class="title_box">{l s='URL' mod='easycreditratenkauf'}</span>
                  </th>
                  <th>
                    <span class="title_box">{l s='Request' mod='easycreditratenkauf'}</span>
                  </th>
                  <th>
                    <span class="title_box">{l s='Response' mod='easycreditratenkauf'}</span>
                  </th>
                  <th>
                    <span class="title_box">{l s='Date' mod='easycreditratenkauf'}</span>
                  </th>
                </tr>
                </thead>
                <tbody>
                {foreach from=$transactions item=transaction}
                  <tr>
                    <td>
											<span class="minimize">
												{$transaction.url|escape:'html':'UTF-8'}
											</span>
                    </td>
                    <td>
											<span class="minimize">
                                            	{$transaction.request|escape:'html':'UTF-8'}
											</span>
                    </td>
                    <td>
											<span class="minimize">
                                            	{$transaction.response|escape:'html':'UTF-8'}
											</span>
                    </td>
                    <td>
                      {$transaction.date_add|date_format:"%d.%m.%Y %H:%M:%S"|escape:'html':'UTF-8'}
                    </td>
                  </tr>
                {/foreach}
                </tbody>
              </table>
            </div>
          </div>

				</div>

			{/if}

		</div>
	</div>
</div>
